> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotedenyreason

> GenericMDOProvider reads MDO lists with default settings

## "quotedenyreason" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'quotedenyreason'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotedenyreason
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotedenyreason", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                          | StyleHint | ExtraInfo |
| -- | ----------------------------- | --------- | --------- |
| 2  | Customer is not a priority    |           |           |
| 1  | Discounted amount is too high |           |           |
| 3  | Please adjust and try again   |           |           |

## Related MDO Lists

* "quotedenyreasonheadings"
* "quotedenyreasonheadingswithallitem"
* "quotedenyreasonheadingswithallitemwithnoselection"
* "quotedenyreasonheadingswithnoselection"
* "quotedenyreasonwithallitem"
* "quotedenyreasonwithallitemwithnoselection"
* "quotedenyreasonwithnoselection"


## Related topics

- [QuoteDenyReason table](/en/database/tables/quotedenyreason.md)
- [SuperOffice.WebApi.Data.QuoteDenyReason](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteDenyReason.md)
- [QuoteDenyReasonHeadingLink table](/en/database/tables/quotedenyreasonheadinglink.md)
- [QuoteDenyReasonGroupLink table](/en/database/tables/quotedenyreasongrouplink.md)
- [Delete Quote Deny Reason](/en/api/reference/restful/rest/list_quotedenyreason/delete-quote-deny-reason.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
